# tst.mak Version 0.1.0 Compile test programs
# Copyright (C) 2003  dondalah@ripco.com (Dondalah)
# 
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; either version 2
# of the License, or (at your option) any later version.
# 
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to:
# 
# 	Free Software Foundation, Inc.
# 	59 Temple Place - Suite 330
# 	Boston, MA  02111-1307, USA.

OBJ=bldbt.obj \
    btsize.obj \
    dbck.obj \
    delbt.obj \
    deletes.obj \
    depth.obj \
    dmpbt.obj \
    initbt.obj \
    lockf.obj \
    lstbt.obj \
    lstbt_r.obj \
    lstphys.obj \
    optimbt.obj \
    reorg.obj \
    schema.obj \
    tmpbt.obj \
    updtbt.obj \
    updtprv.obj

EXE=bldbt.exe \
    btsize.exe \
    dbck.exe \
    delbt.exe \
    deletes.exe \
    depth.exe \
    dmpbt.exe \
    initbt.exe \
    lockf.exe \
    lstbt.exe \
    lstbt_r.exe \
    lstphys.exe \
    optimbt.exe \
    reorg.exe \
    tmpbt.exe \
    updtbt.exe

INCLUDE=$(INCLUDE);..\..\include

LIB=$(LIB);..\..\lib

GUILIBS=$(GUILIBS) bthash.lib

LDFLAGS=-DEFAULTLIB:bthash.lib
XLDFLAGS=$(GUILIBS)

all:            $(OBJ) $(EXE)

bldbt.exe:             bldbt.obj
        $(LINKER) \
        /libpath:..\..\lib \
        /defaultlib:bthash.lib \
        /OUT:bldbt.exe \
        bldbt.obj \
        $(LDFLAGS)

btsize.exe:            btsize.obj
        $(LINKER) \
        /libpath:..\..\lib \
        /defaultlib:bthash.lib \
        /OUT:btsize.exe \
        btsize.obj \
        $(LDFLAGS)

dbck.exe:              dbck.obj
        $(LINKER) \
        /libpath:..\..\lib \
        /defaultlib:bthash.lib \
        /OUT:dbck.exe \
        dbck.obj \
        $(LDFLAGS)

delbt.exe:             delbt.obj
        $(LINKER) \
        /libpath:..\..\lib \
        /defaultlib:bthash.lib \
        /OUT:delbt.exe \
        delbt.obj \
        $(LDFLAGS)

deletes.exe:           deletes.obj
        $(LINKER) \
        /libpath:..\..\lib \
        /defaultlib:bthash.lib \
        /OUT:deletes.exe \
        deletes.obj \
        $(LDFLAGS)

depth.exe:             depth.obj
        $(LINKER) \
        /libpath:..\..\lib \
        /defaultlib:bthash.lib \
        /OUT:depth.exe \
        depth.obj \
        $(LDFLAGS)

dmpbt.exe:             dmpbt.obj
        $(LINKER) \
        /libpath:..\..\lib \
        /defaultlib:bthash.lib \
        /OUT:dmpbt.exe \
        dmpbt.obj \
        $(LDFLAGS)

initbt.exe:            initbt.obj
        $(LINKER) \
        /libpath:..\..\lib \
        /defaultlib:bthash.lib \
        /OUT:initbt.exe \
        initbt.obj \
        $(LDFLAGS)

lockf.exe:             lockf.obj
        $(LINKER) \
        /libpath:..\..\lib \
        /defaultlib:bthash.lib \
        /OUT:lockf.exe \
        lockf.obj \
        $(LDFLAGS)

lstbt.exe:             lstbt.obj
        $(LINKER) \
        /libpath:..\..\lib \
        /defaultlib:bthash.lib \
        /OUT:lstbt.exe \
        lstbt.obj \
        $(LDFLAGS)

lstbt_r.exe:           lstbt_r.obj
        $(LINKER) \
        /libpath:..\..\lib \
        /defaultlib:bthash.lib \
        /OUT:lstbt_r.exe \
        lstbt_r.obj \
        $(LDFLAGS)

lstphys.exe:           lstphys.obj
        $(LINKER) \
        /libpath:..\..\lib \
        /defaultlib:bthash.lib \
        /OUT:lstphys.exe \
        lstphys.obj \
        $(LDFLAGS)

optimbt.exe:           optimbt.obj
        $(LINKER) \
        /libpath:..\..\lib \
        /defaultlib:bthash.lib \
        /OUT:optimbt.exe \
        optimbt.obj \
        $(LDFLAGS)

reorg.exe:             reorg.obj
        $(LINKER) \
        /libpath:..\..\lib \
        /defaultlib:bthash.lib \
        /OUT:reorg.exe \
        reorg.obj \
        $(LDFLAGS)

schema.exe:            schema.obj
        $(LINKER) \
        /libpath:..\..\lib \
        /defaultlib:bthash.lib \
        /OUT:schema.exe \
        schema.obj \
        $(LDFLAGS)

tmpbt.exe:             tmpbt.obj
        $(LINKER) \
        /libpath:..\..\lib \
        /defaultlib:bthash.lib \
        /OUT:tmpbt.exe \
        tmpbt.obj \
        $(LDFLAGS)

updtbt.exe:            updtbt.obj
        $(LINKER) \
        /libpath:..\..\lib \
        /defaultlib:bthash.lib \
        /OUT:updtbt.exe \
        updtbt.obj \
        $(LDFLAGS)

updtprv.exe:           updtprv.obj
        $(LINKER) \
        /libpath:..\..\lib \
        /defaultlib:bthash.lib \
        /OUT:updtprv.exe \
        updtprv.obj \
        $(LDFLAGS)

bldbt.obj:         bldbt.c
        $(CC) $(CFLAGS) bldbt.c

btsize.obj:        btsize.c
        $(CC) $(CFLAGS) btsize.c

dbck.obj:          dbck.c
        $(CC) $(CFLAGS) dbck.c

delbt.obj:         delbt.c
        $(CC) $(CFLAGS) delbt.c

deletes.obj:       deletes.c
        $(CC) $(CFLAGS) deletes.c

depth.obj:         depth.c
        $(CC) $(CFLAGS) depth.c

dmpbt.obj:         dmpbt.c
        $(CC) $(CFLAGS) dmpbt.c

initbt.obj:        initbt.c
        $(CC) $(CFLAGS) initbt.c

lockf.obj:         lockf.c
        $(CC) $(CFLAGS) lockf.c

lstbt.obj:         lstbt.c
        $(CC) $(CFLAGS) lstbt.c

lstbt_r.obj:       lstbt_r.c
        $(CC) $(CFLAGS) lstbt_r.c

lstphys.obj:       lstphys.c
        $(CC) $(CFLAGS) lstphys.c

optimbt.obj:       optimbt.c
        $(CC) $(CFLAGS) optimbt.c

reorg.obj:         reorg.c
        $(CC) $(CFLAGS) reorg.c

schema.obj:        schema.c
        $(CC) $(CFLAGS) schema.c

tmpbt.obj:         tmpbt.c
        $(CC) $(CFLAGS) tmpbt.c

updtbt.obj:        updtbt.c
        $(CC) $(CFLAGS) updtbt.c

updtprv.obj:       updtprv.c
        $(CC) $(CFLAGS) updtprv.c

clean:
        erase bldbt.obj
        erase bldbt.exe
        erase btsize.obj
        erase btsize.exe
        erase dbck.obj
        erase dbck.exe
        erase delbt.obj
        erase delbt.exe
        erase deletes.obj
        erase deletes.exe
        erase depth.obj
        erase depth.exe
        erase dmpbt.obj
        erase dmpbt.exe
        erase initbt.obj
        erase initbt.exe
        erase lockf.obj
        erase lockf.exe
        erase lstbt.obj
        erase lstbt.exe
        erase lstbt_r.obj
        erase lstbt_r.exe
        erase lstphys.obj
        erase lstphys.exe
        erase optimbt.obj
        erase optimbt.exe
        erase reorg.obj
        erase reorg.exe
        erase schema.obj
        erase schema.exe
        erase tmpbt.obj
        erase tmpbt.exe
        erase updtbt.obj
        erase updtbt.exe
        erase updtprv.obj
        erase updtprv.exe
